# std::_Weak_result_type< _Functor > Struct Template Reference

Inheritance diagram for std::_Weak_result_type< _Functor >:

## Detailed Description

### template<typename _Functor>
struct std::_Weak_result_type< _Functor >

Strip top-level cv-qualifiers from the function object and let _Weak_result_type_impl perform the real work.

Definition at line 148 of file tr1_impl/functional.

The documentation for this struct was generated from the following file:

- tr1_impl/functional